org.eclipse.mat.ui.snapshot.editor

## Class HeapEditor

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.EditorPart
      - - org.eclipse.mat.ui.editor.MultiPaneEditor
        - - org.eclipse.mat.ui.snapshot.editor.HeapEditor

All Implemented Interfaces:
  EventListener, IResourceChangeListener, IAdaptable, IExecutableExtension, ISelectionProvider, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class HeapEditor
    extends MultiPaneEditor
    implements ISelectionProvider

### Field Summary

### Fields inherited from class org.eclipse.mat.ui.editor.MultiPaneEditor

`PROP_ACTION_BAR, PROP_FOLDER_IMAGE`

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`HeapEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `dispose()`
`Object` `getAdapter(Class required)`
`IEditorInput` `getPaneEditorInput()`
`ISelection` `getSelection()`
`ISnapshotEditorInput` `getSnapshotInput()`
`void` `init(IEditorSite site, IEditorInput input)`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setSelection(ISelection selection)`

### Methods inherited from class org.eclipse.mat.ui.editor.MultiPaneEditor

`addNewPage, addNewPage, addNewPage, addNewPage, addNewPage, bringPageToTop, closePage, createPartControl, doSave, doSaveAs, getActiveEditor, getEditor, getNavigatorState, getQueryContext, getResourceFile, getToolBarManager, initWithAnotherArgument, isDirty, isDisposed, isSaveAsAllowed, resourceChanged, setFocus, updateToolbar`

### Methods inherited from class org.eclipse.ui.part.EditorPart

`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

### Constructor Detail

#### HeapEditor

    public HeapEditor()

### Method Detail

#### getPaneEditorInput

    public IEditorInput getPaneEditorInput()

Overrides:
  `getPaneEditorInput` in class `MultiPaneEditor`

#### init

    public void init(IEditorSite site,
                     IEditorInput input)
              throws PartInitException

Specified by:
  `init` in interface `IEditorPart`
Overrides:
  `init` in class `MultiPaneEditor`
Throws:
  `PartInitException`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `MultiPaneEditor`

#### getSnapshotInput

    public ISnapshotEditorInput getSnapshotInput()

#### getAdapter

    public Object getAdapter(Class required)

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `WorkbenchPart`

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### setSelection

    public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`